eCos Reference Manual
Prev |  | Next

# fis unlock

## Name

fis unlock -- Unlock flash area

## Synopsis

fis unlock {-f `flash_address`} {-l `length`}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`flash_address` | Number | Address of area to be unlocked. |
`length` | Number | Length of area to be unlocked. |

## Description

This command is used to unlock a portion of flash memory forcibly, allowing it to be updated. It must be issued for regions which have been locked before the FIS can reuse those portions of flash.

> Note: Some flash devices power up in locked state and always need to be manually unlocked before they can be written to.

## Examples

Unlock an area of the flash

    RedBoot> fis unlock -f 0xa0040000 -l 0x20000
    ... Unlock from 0xa0040000-0xa0060000: .

Prev | Home | Next
fis lock | Up | fis erase